## pyntor 0.6

=== Makefile ===
prefix = /usr/local

all:
	@echo "Installation: make install prefix=/..."
	@echo "Default prefix is /usr/local (requires root access)"

install:
	@echo "Installing pyntor to prefix $(prefix)..."
	@echo "-- executables ($(prefix)/bin)"
	@mkdir -p $(prefix)/bin
	@cp pyntor $(prefix)/bin
	@cp selfrun/pyntor-selfrun $(prefix)/bin
	@cp tools/pyntor-components $(prefix)/bin
	@echo "-- libraries ($(prefix)/lib/site-python)"
	@mkdir -p $(prefix)/lib/site-python
	@cp tools/sdlnewstuffpyntor.py $(prefix)/lib/site-python
	@echo "-- data files ($(prefix)/share/pyntor)"
	@mkdir -p $(prefix)/share/pyntor
	@cp -r components $(prefix)/share/pyntor
	@cp selfrun/pyntor-selfrun.template $(prefix)/share/pyntor
	@cp data/pyntor-splash.png $(prefix)/share/pyntor
	@cp data/pyntor-logo.png $(prefix)/share/pyntor
	@echo "-- desktop files ($(prefix)/share/{applications,mimelnk,icons})"
	@mkdir -p $(prefix)/share/applications
	@cp data/pyntor.desktop $(prefix)/share/applications
	@mkdir -p $(prefix)/share/mimelnk/application
	@cp data/x-pyntor.desktop $(prefix)/share/mimelnk/application
	@mkdir -p $(prefix)/share/icons
	@cp data/pyntor.png $(prefix)/share/icons
	@mkdir -p $(prefix)/share/doc/pyntor
	@echo "-- documentation ($(prefix)/share/doc/pyntor)"
	@cp doc/documentation.txt doc/components.txt README $(prefix)/share/doc/pyntor
	@cp selfrun/README.selfrun $(prefix)/share/doc/pyntor
	@cp tools/pyntor-minigal.sh $(prefix)/share/doc/pyntor
	@gzip -f -9 $(prefix)/share/doc/pyntor/pyntor-minigal.sh || true
	@mkdir -p $(prefix)/share/man/man1
	@cp doc/pyntor.1 $(prefix)/share/man/man1
	@cp tools/pyntor-components.1 $(prefix)/share/man/man1
	@cp selfrun/pyntor-selfrun.1 $(prefix)/share/man/man1
	@echo "Done with installation."

clean:
	rm -f components/*.pyc

=== debian/changelog ===
pyntor (0.6-4) unstable; urgency=low

  * Removed menu entry (LP: #750148).
  * Updated Debian Policy version to 3.9.2.
  * Added recommended targets for porting scripts.

 -- Vanessa Gutierrez <vanecgs@gmail.com>  Fri, 22 Jul 2011 07:50:38 -0300

pyntor (0.6-3) unstable; urgency=low

  * New Maintainer (Closes: #523194)
  * debian/rules: New target schema.
  * debian/copyright: updated copyright symbol.
  * Adding main Category for .desktop file and drop deprecated Encoding key.
  * Moved selfrun template to examples dir.

 -- Vanessa Gutierrez <vanecgs@gmail.com>  Sun, 20 Jun 2010 01:51:56 -0300

pyntor (0.6-2) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format
  - Move diff.gz patches into patches/, added source/format
  * debian/control
  - Set maintainer to QA group, added Homepage
  - Update Standards-Version to 3.8.4 (no other changes required)
  - Change python-dev to python in Build-Depends-Indep
  * debian/control, debian/rules, debian/compat
  - Switch to debhelper sequencer, bump debhelper version and compat
  * debian/watch
  - Added watch file

 -- Ricardo Mones <mones@debian.org>  Wed, 12 May 2010 13:27:46 +0200

pyntor (0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380911).
  * Move sdlnewstuffpyntor.py to /usr/share/pyntor, and fix
    tools/pyntor-components sys.path accordingly.

 -- Pierre Habouzit <madcoder@debian.org>  Fri,  1 Sep 2006 14:32:19 +0200

pyntor (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #366781).
  * Bump up Standards-Version to 3.7.2 (no changes).
  * Moved python build-dep to build-dep-indep.

 -- Florian Ragwitz <rafl@debian.org>  Sat, 27 May 2006 16:31:50 +0200

pyntor (0.5+svn46-3) unstable; urgency=low

  * Added missing dependency to python-pygame (Closes: #358188).

 -- Florian Ragwitz <rafl@debian.org>  Tue, 21 Mar 2006 18:21:49 +0100

pyntor (0.5+svn46-2) unstable; urgency=low

  * Use Architecture: all instead of any as this package does not contain
    architecture dependent code (Closes: #357721).

 -- Florian Ragwitz <rafl@debian.org>  Sun, 19 Mar 2006 21:54:30 +0100

pyntor (0.5+svn46-1) unstable; urgency=low

  * Initial release (Closes: #349534).

 -- Florian Ragwitz <rafl@debian.org>  Tue, 24 Jan 2006 01:20:22 +0100

=== debian/control ===
Source: pyntor
Section: editors
Priority: optional
Maintainer: Vanessa Gutierrez <vanecgs@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python, python-support (>= 0.4)
Standards-Version: 3.9.2
Homepage: http://pyntor.coolprojects.org/

Package: pyntor
Architecture: all
Depends: ${python:Depends}, python-pygame, ${misc:Depends}
Description: flexible and componentized presentation program
 Pyntor is a small, flexible and componentized presentation program. It
 is built upon Python and the SDL library (via pygame). Pyntor features
 a wiki-like presentation component, a HTML page component
 (Pyromaniac), and several more. Standard features like PDF/HTML
 export, page selection and interactivity are available, as are
 advanced features such as full-text search in the presentation slides.
 .
 Due to the minimal size and maximum configurability, Pyntor is a nice
 alternative to conventional presentation programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	
	# Add here commands to install the package into debian/pyntor.
	$(MAKE) install prefix=$(CURDIR)/debian/pyntor/usr	
	
	# Let's do it with dh_installexamples
	rm $(CURDIR)/debian/pyntor/usr/share/pyntor/pyntor-selfrun.template 
	# Removed this file since it maakes no sense to have a menu entry
	rm -rf $(CURDIR)/debian/pyntor/usr/share/applications

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installexamples
	dh_installdocs 
	dh_installman
	dh_pysupport
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://pyntor.coolprojects.org/download/pyntor-(.*)\.tar\.gz
